Bug 157641 - Loud hiss from LHS speaker at 1st BOOT
Loud hiss from LHS speaker at 1st BOOT
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-05-13 08:43 EDT by David Bentley
Modified: 2015-01-04 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-28 13:46:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
asound.state as it was at 1st boot (8.45 KB, text/plain)
2005-05-13 16:40 EDT, David Bentley
no flags Details
current asound.state file (8.45 KB, text/plain)
2005-05-16 16:18 EDT, David Bentley
no flags Details
information as requested. (5.64 KB, text/plain)
2005-05-16 18:20 EDT, David Bentley
no flags Details
info and code snipets from ens1370.c (2.00 KB, text/plain)
2005-05-17 16:44 EDT, David Bentley
no flags Details

  None (edit)
Description David Bentley 2005-05-13 08:43:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Config D)

Description of problem:
During the firt boot after successful install a loud hiss is heard from the
left hand side speaker.

Version-Release number of selected component (if applicable):
Kudzu that is present in FC4test3

How reproducible:

Steps to Reproduce:
Perform normal install.

Actual Results:  See discription.

Expected Results:  Silence.

Additional info:

Sound card detected as EQUISONIC ES1371 [Audio PCI-97]
Module loaded snd-ens1371
The card is actually a soundblaster 16 PCI

The loud hiss is being caused by the default enablement of IEC958 and IEC958.2
(in otherwords SPDIF which this card does not support) and the loud hiss can be
cured by the use of the mixer configuration by enabling these settings to be 
shown and then removing the ticks in their check boxes but it is the IEC958.2
that is responsible for the loud hiss.
Comment 1 Bill Nottingham 2005-05-13 11:45:32 EDT
Can you attach the default /etc/asound.state generated at install time (before
it's changed)?
Comment 2 David Bentley 2005-05-13 15:25:37 EDT
Not without doing a re-install presumably which I will if necessary alternativly I
can switch the two IEC958 tick boxes back on and then attach the file if that
would be of any use.
Comment 3 Bill Nottingham 2005-05-13 15:31:49 EDT
If that's the only changes you made, sure, attach it.
Comment 4 David Bentley 2005-05-13 16:40:24 EDT
Created attachment 114351 [details]
asound.state as it was at 1st boot
Comment 5 Bill Nottingham 2005-05-16 15:07:37 EDT
What are the exact names of the two switches you changed?
Comment 6 David Bentley 2005-05-16 16:18:38 EDT
Created attachment 114445 [details]
current asound.state file
Comment 7 David Bentley 2005-05-16 16:25:49 EDT
Attachment created for the current asound.state file

The name of the two switches is IEC958: and IEC958 2: and were both ticked at on
1st boot un checking the IEC958 2: was the cause of the loud hiss but I also 
unchecked the IEC958: switch since the Soundblaster 16 PCI does not support SPDIF
for either input or output.
Comment 8 Bill Nottingham 2005-05-16 16:30:18 EDT
You say this card does not support S/PDIF - if not, why would it have the mixer
elements for it? 

Aha, looking at the driver source, it has a table of cards that support S/PDIF.
So, presumably the fault is in that table.

Can you attach the 'lspci -v' output for your card?
Comment 9 David Bentley 2005-05-16 18:18:46 EDT

The information for just the audio card is at the top of the file and again
below the seperator with all of the other card info.
Comment 10 David Bentley 2005-05-16 18:20:30 EDT
Created attachment 114451 [details]
information as requested.
Comment 11 Bill Nottingham 2005-05-16 21:40:20 EDT
Presumably that matches the:

        { .vid = PCI_VENDOR_ID_ENSONIQ, .did = PCI_DEVICE_ID_ENSONIQ_ES1371,
.rev = ES1371REV_ES1373_8 },

in the driver.
Comment 12 David Bentley 2005-05-17 08:09:36 EDT
Not actually looked at the driver source yet and can't till later today after I 
get home from work.(approx 18:30 BST or 17:30 GMT)
Comment 13 David Bentley 2005-05-17 16:40:45 EDT
See attached ens1730.txt
Comment 14 David Bentley 2005-05-17 16:44:14 EDT
Created attachment 114483 [details]
info and code snipets from ens1370.c
Comment 15 Dave Jones 2005-06-27 19:27:41 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done

Comment 16 David Bentley 2005-07-04 17:12:17 EDT
This bug is still aparent as described when FC4 final is installed on the test
Comment 17 Dave Jones 2005-07-15 17:46:12 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak

Thank you.
Comment 18 Dave Jones 2005-09-30 02:34:07 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 19 Dave Jones 2005-11-10 14:34:01 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 20 David Bentley 2005-11-24 14:06:01 EST
Sorry but this is a little difficult now as the system that exhibited this problem
has now had FC3 re-installed on it because of other problems with FC4.

Namly not being able to burn CD's on it in either FC4 or RAWHIDE and my testing
efforts have now been transfered to my Intel SE7505VB2 box since I managed to get
RAWHIDE installed on it a little while ago. (It has just had fc5test1 installed)

As this sound card is not probably in common use anymore except on older
hardware it would seem that the issue with it is probably no-longer important.

If I get an opertunity to test the machine with a spare hard disc I will report
back so leave this bug OPEN for now.
Comment 21 Dave Jones 2006-02-03 01:49:34 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 22 David Bentley 2006-03-28 13:46:19 EST
Just installed FC5 on the hardware that had this problem in FC4 and all is well
no loud hiss and the sound card gets detected and setup correctly.

Closing as resolved in FC5

Note You need to log in before you can comment on or make changes to this bug.